Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet
Class RemoteContext

    java.lang.Object
      php.java.bridge.http.Context
          php.java.servlet.Context
              php.java.servlet.RemoteContext

All Implemented Interfaces:
  IContext, Invocable

    public class RemoteContext

extends Context

A custom context, used when remote PHP scripts access the servlet. In this case the HttpServletRequest, HttpServletResponse and ServletContext objects are not available. However, the session object is available through the RemoteHttpSession.

Author:
  jostb

Field Summary

Fields inherited from class php.java.servlet.Context
`APPLICATION_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from interface php.java.bridge.http.IContext
`ENGINE_SCOPE, GLOBAL_SCOPE, JAVA_BRIDGE, SERVLET, SERVLET_CONFIG, SERVLET_CONTEXT, SERVLET_REQUEST, SERVLET_RESPONSE`

Constructor Summary
`RemoteContext(javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Method Summary
`java.lang.Object` | `getHttpServletRequest()` Deprecated. Use java_context()->getAttribute(...) instead
`java.lang.Object` | `getHttpServletResponse()` Deprecated. Use java_context()->getAttribute(...) instead
`java.lang.Object` | `getServletContext()` Deprecated. Use java_context()->getAttribute(...) instead

Methods inherited from class php.java.servlet.Context
`getAttribute, getAttribute, getWriter`

Methods inherited from class php.java.bridge.http.Context
`call, getAttributesScope, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteContext

    public RemoteContext(javax.servlet.ServletContext kontext,
                         javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse res)

Method Detail

### getHttpServletRequest

    public java.lang.Object getHttpServletRequest()

  Deprecated. Use java_context()->getAttribute(...) instead

  throws IllegalStateException

  Overrides:
    `getHttpServletRequest` in class `Context`
  Returns:
    The HttpServletRequest.
  Throws:
    `java.lang.IllegalStateException`

### getServletContext

    public java.lang.Object getServletContext()

  Deprecated. Use java_context()->getAttribute(...) instead

  throws IllegalStateException

  Overrides:
    `getServletContext` in class `Context`
  Returns:
    The ServletContext.
  Throws:
    `java.lang.IllegalStateException`

### getHttpServletResponse

    public java.lang.Object getHttpServletResponse()

  Deprecated. Use java_context()->getAttribute(...) instead

  throws IllegalStateException

  Overrides:
    `getHttpServletResponse` in class `Context`
  Returns:
    The ServletResponse.
  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD